Subject: [PATCH 07/10] clk: Constify parent name arrays

From: [email-masked] (Mark Brown)
Date: Wed, 28 Mar 2012 11:07:44 +0100

On Tue, Mar 27, 2012 at 06:03:49PM -0700, Turquette, Mike wrote:

> Mark, I've taken this in to my fixes branch, but I dropped the change
> in drivers/clk/clk-fixed-rate.c (since that code has shuffled) and I
> also marked the char *parent[1] in fixed-rate and gate clocks as
> const, in addition to the divider you did in your patch.

That one's more fun as you should really be declaring them as something
like a const array of pointers to const char which is very cumbersome to
actually do and looks ugly as hell.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20120328/ae45a8ac/attachment.sig>